### Function

# Camel InternetAddress encode_address

#### Declaration [src]

    gchar*
    camel_internet_address_encode_address (
      gint* len,
      const gchar* name,
      const gchar* addr
    )

#### Description [src]

Encode a single address ready for internet usage. Header folding as per rfc822 is also performed, based on the length *`len`. If `len` is `NULL`, then no folding will occur.

Note: The value at *`in` will be updated based on any linewrapping done.

#### Parameters

`len`

  Type: `gint*`

  The length of the line the address is being appended to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The unencoded real name associated with the address.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`addr`

  Type: `const gchar*`

  The routing address.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The encoded address.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.